package com.example.agoldenbaum.gridcellselection;

import android.content.Context;
import android.graphics.Color;
import android.view.Gravity;
import android.widget.CheckBox;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.infragistics.controls.IGGridViewCell;

/**
 * Created by agoldenbaum on 9/1/2015.
 */


public class CustomCell extends IGGridViewCell {

    private LinearLayout _layout;
    private CheckBox _checkBox;
    private TextView _text;

    public CustomCell(Context context, String styleKey) {
        super(context, styleKey);

        _layout = new LinearLayout(context);
        _layout.setOrientation(LinearLayout.HORIZONTAL);

        _layout.setGravity(Gravity.CENTER);

        this.addView(_layout);

        _checkBox = new CheckBox(context);
        _checkBox.setBackgroundColor(Color.TRANSPARENT);

        _layout.addView(_checkBox);

        _text = new TextView(context);
        _text.setTextColor(Color.BLACK);

        _layout.addView(_text);
    }

    @Override
    public TextView getTextView() {
        return _text;
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);

        int width = MeasureSpec.getSize(widthMeasureSpec) - (this.getPaddingRight() + this.getPaddingLeft());
        int height = MeasureSpec.getSize(heightMeasureSpec) - (this.getPaddingTop() + this.getPaddingBottom());

        _layout.measure(MeasureSpec.makeMeasureSpec(width, MeasureSpec.EXACTLY), MeasureSpec.makeMeasureSpec(height, MeasureSpec.EXACTLY));
    }

    @Override
    protected void onLayout(boolean changed, int l, int t, int r, int b) {
        int top = this.getPaddingTop();
        int left = this.getPaddingLeft();
        int right = (r - l) - (this.getPaddingRight());
        int bottom = (b - t) - (this.getPaddingBottom());

        _layout.layout(left, top, right, bottom);
    }
}
